README document for SaxonC-HE 12.0:

SaxonC-HE is a compiled variant of Saxon from the Java
platform to the C/C++ platform using GraalVM native-image.

SaxonC-HE provides processing in XSLT 3.0, XQuery 3.1 and
XPath 3.1, and Schema validation 1.0/1.1.

This is a library with APIs for C, C++, PHP, and Python. The main
classes in the SaxonC API are: SaxonProcessor, Xslt30Processor,
XsltExecutable, XQueryProcessor, XPathProcessor, SchemaValidator and
DocumentBuilder.

The following classes provide a subset of the XDM model: XdmValue,
XdmItem, XdmAtomicValue, XdmNode, XdmFunctionItem, XdmArray, and
XdmMap.

For further information about using SaxonC, see the
[SaxonC 12 Documentation](https://www.saxonica.com/saxon-c/documentation12/index.html),
or [SaxonC web page](http://www.saxonica.com/saxon-c/index.xml).
